# Class TextOutputCallback

java.lang.Object
javax.security.auth.callback.TextOutputCallback

All Implemented Interfaces:
  `Serializable, Callback`

public class TextOutputCallback extends Object implements Callback, Serializable

Underlying security services instantiate and pass a `TextOutputCallback` to the `handle` method of a `CallbackHandler` to display information messages, warning messages and error messages.

Since:
  1.4
See Also:
  - `CallbackHandler`
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ERROR`
  Error message.
  `static final int`
  `INFORMATION`
  Information message.
  `static final int`
  `WARNING`
  Warning message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextOutputCallback(int messageType, String message)`
  Construct a TextOutputCallback with a message type and message to be displayed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  Get the message to be displayed.
  `int`
  `getMessageType()`
  Get the message type.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### INFORMATION

    public static final int INFORMATION
    Information message.
    See Also:
      - Constant Field Values

  - ### WARNING

    public static final int WARNING
    Warning message.
    See Also:
      - Constant Field Values

  - ### ERROR

    public static final int ERROR
    Error message.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TextOutputCallback

    public TextOutputCallback(int messageType, String message)
    Construct a TextOutputCallback with a message type and message to be displayed.
    Parameters:
      `messageType` - the message type (`INFORMATION`, `WARNING` or `ERROR`).
      `message` - the message to be displayed.
    Throws:
      `IllegalArgumentException` - if `messageType` is not either `INFORMATION`, `WARNING` or `ERROR`, if `message` is null, or if `message` has a length of 0.

- ## Method Details

  - ### getMessageType

    public int getMessageType()
    Get the message type.
    Returns:
      the message type (`INFORMATION`, `WARNING` or `ERROR`).

  - ### getMessage

    public String getMessage()
    Get the message to be displayed.
    Returns:
      the message to be displayed.